Results 1 to 7 of 7

Thread: VMWare 8 on Ubuntu 11.10: " Unable to build kernel module "-ERROR

  1. #1
    Join Date
    Jun 2006
    Beans
    Hidden!

    Exclamation VMWare 8 on Ubuntu 11.10: " Unable to build kernel module "-ERROR

    Hello guys,

    Downloaded the latest VMWare workstation from their homepage, executed and installed it.

    On first run it asked me for installing the gnu c compiler, which i did.

    When i try to run vmware again, i met this error, and although i found other issues related to this, none of the solutions seemed to be for ubuntu 11.10 with kernel 3.0.0-17.

    I am running an Ubuntu Minimal + LXDE setup, so I am missing several of packages that are standard in regular 11.10 install. Might this affect it?

    Attached a screenshot, also the log output:

    Code:
    2012-04-08T00:29:19.603+01:00| vthread-3| I120: Log for VMware Workstation pid=4923 version=8.0.2 build=build-591240 option=Release
    2012-04-08T00:29:19.603+01:00| vthread-3| I120: The process is 64-bit.
    2012-04-08T00:29:19.603+01:00| vthread-3| I120: Host codepage=UTF-8 encoding=UTF-8
    2012-04-08T00:29:19.603+01:00| vthread-3| I120: Host is Linux 3.0.0-17-generic Ubuntu 11.10
    2012-04-08T00:29:19.603+01:00| vthread-3| I120: Msg_Reset:
    2012-04-08T00:29:19.603+01:00| vthread-3| I120: [msg.dictionary.load.openFailed] Cannot open file "/usr/lib/vmware/settings": No such file or directory.
    2012-04-08T00:29:19.603+01:00| vthread-3| I120: ----------------------------------------
    2012-04-08T00:29:19.603+01:00| vthread-3| I120: PREF Optional preferences file not found at /usr/lib/vmware/settings. Using default values.
    2012-04-08T00:29:19.603+01:00| vthread-3| I120: Msg_Reset:
    2012-04-08T00:29:19.603+01:00| vthread-3| I120: [msg.dictionary.load.openFailed] Cannot open file "/root/.vmware/config": No such file or directory.
    2012-04-08T00:29:19.603+01:00| vthread-3| I120: ----------------------------------------
    2012-04-08T00:29:19.603+01:00| vthread-3| I120: PREF Optional preferences file not found at /root/.vmware/config. Using default values.
    2012-04-08T00:29:19.603+01:00| vthread-3| I120: Msg_Reset:
    2012-04-08T00:29:19.603+01:00| vthread-3| I120: [msg.dictionary.load.openFailed] Cannot open file "/root/.vmware/preferences": No such file or directory.
    2012-04-08T00:29:19.603+01:00| vthread-3| I120: ----------------------------------------
    2012-04-08T00:29:19.603+01:00| vthread-3| I120: PREF Failed to load user preferences.
    2012-04-08T00:29:19.603+01:00| vthread-3| W110: Logging to /tmp/vmware-root/modconfig-4923.log
    2012-04-08T00:29:19.665+01:00| vthread-3| I120: modconf query interface initialized
    2012-04-08T00:29:19.666+01:00| vthread-3| I120: modconf library initialized
    2012-04-08T00:29:19.681+01:00| vthread-3| I120: Your GCC version: 4.6
    2012-04-08T00:29:19.682+01:00| vthread-3| I120: Validating path /lib/modules/preferred/build/include for kernel release 3.0.0-17-generic
    2012-04-08T00:29:19.682+01:00| vthread-3| I120: Failed to find /lib/modules/preferred/build/include/linux/version.h
    2012-04-08T00:29:19.682+01:00| vthread-3| I120: Failed version test: /lib/modules/preferred/build/include/linux/version.h not found.
    2012-04-08T00:29:19.683+01:00| vthread-3| I120: Validating path /lib/modules/3.0.0-17-generic/build/include for kernel release 3.0.0-17-generic
    2012-04-08T00:29:19.684+01:00| vthread-3| I120: Your GCC version: 4.6
    2012-04-08T00:29:19.688+01:00| vthread-3| I120: Your GCC version: 4.6
    2012-04-08T00:29:19.694+01:00| vthread-3| I120: Header path /lib/modules/3.0.0-17-generic/build/include for kernel release 3.0.0-17-generic is valid.
    2012-04-08T00:29:19.694+01:00| vthread-3| I120: Validating path /lib/modules/3.0.0-17-generic/build/include for kernel release 3.0.0-17-generic
    2012-04-08T00:29:19.695+01:00| vthread-3| I120: Your GCC version: 4.6
    2012-04-08T00:29:19.700+01:00| vthread-3| I120: Your GCC version: 4.6
    2012-04-08T00:29:19.706+01:00| vthread-3| I120: Header path /lib/modules/3.0.0-17-generic/build/include for kernel release 3.0.0-17-generic is valid.
    2012-04-08T00:29:19.716+01:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.0.0-17-generic.
    2012-04-08T00:29:19.718+01:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.0.0-17-generic.
    2012-04-08T00:29:19.719+01:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.0.0-17-generic.
    2012-04-08T00:29:19.720+01:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.0.0-17-generic.
    2012-04-08T00:29:19.721+01:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.0.0-17-generic.
    2012-04-08T00:29:19.730+01:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.0.0-17-generic.
    2012-04-08T00:29:19.732+01:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.0.0-17-generic.
    2012-04-08T00:29:19.733+01:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.0.0-17-generic.
    2012-04-08T00:29:19.734+01:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.0.0-17-generic.
    2012-04-08T00:29:19.735+01:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.0.0-17-generic.
    2012-04-08T00:29:19.736+01:00| vthread-3| I120: Validating path /lib/modules/preferred/build/include for kernel release 3.0.0-17-generic
    2012-04-08T00:29:19.736+01:00| vthread-3| I120: Failed to find /lib/modules/preferred/build/include/linux/version.h
    2012-04-08T00:29:19.736+01:00| vthread-3| I120: Failed version test: /lib/modules/preferred/build/include/linux/version.h not found.
    2012-04-08T00:29:19.737+01:00| vthread-3| I120: Validating path /lib/modules/3.0.0-17-generic/build/include for kernel release 3.0.0-17-generic
    2012-04-08T00:29:19.738+01:00| vthread-3| I120: Your GCC version: 4.6
    2012-04-08T00:29:19.742+01:00| vthread-3| I120: Your GCC version: 4.6
    2012-04-08T00:29:19.748+01:00| vthread-3| I120: Header path /lib/modules/3.0.0-17-generic/build/include for kernel release 3.0.0-17-generic is valid.
    2012-04-08T00:29:19.758+01:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.0.0-17-generic.
    2012-04-08T00:29:19.759+01:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.0.0-17-generic.
    2012-04-08T00:29:19.761+01:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.0.0-17-generic.
    2012-04-08T00:29:19.762+01:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.0.0-17-generic.
    2012-04-08T00:29:19.763+01:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.0.0-17-generic.
    2012-04-08T00:29:19.764+01:00| vthread-3| I120: Validating path /lib/modules/preferred/build/include for kernel release 3.0.0-17-generic
    2012-04-08T00:29:19.764+01:00| vthread-3| I120: Failed to find /lib/modules/preferred/build/include/linux/version.h
    2012-04-08T00:29:19.764+01:00| vthread-3| I120: Failed version test: /lib/modules/preferred/build/include/linux/version.h not found.
    2012-04-08T00:29:19.764+01:00| vthread-3| I120: Validating path /lib/modules/3.0.0-17-generic/build/include for kernel release 3.0.0-17-generic
    2012-04-08T00:29:19.765+01:00| vthread-3| I120: Your GCC version: 4.6
    2012-04-08T00:29:19.770+01:00| vthread-3| I120: Your GCC version: 4.6
    2012-04-08T00:29:19.777+01:00| vthread-3| I120: Header path /lib/modules/3.0.0-17-generic/build/include for kernel release 3.0.0-17-generic is valid.
    2012-04-08T00:29:19.794+01:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.0.0-17-generic.
    2012-04-08T00:29:19.795+01:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.0.0-17-generic.
    2012-04-08T00:29:19.796+01:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.0.0-17-generic.
    2012-04-08T00:29:19.797+01:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.0.0-17-generic.
    2012-04-08T00:29:19.799+01:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.0.0-17-generic.
    2012-04-08T00:29:19.953+01:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.0.0-17-generic.
    2012-04-08T00:29:19.953+01:00| vthread-3| I120: Can't get required utilities make, tar, echo, grep, rmmod, insmod
    2012-04-08T00:29:19.953+01:00| vthread-3| W110: Could not prepare build system.
    Grateful for any unput, thanks!

    EDIT: SOLVED BY DEDOIMEDO, thank you!
    Attached Images Attached Images
    Last edited by mixim; April 8th, 2012 at 08:50 PM.

  2. #2
    Join Date
    Jun 2007
    Location
    Neverland
    Beans
    894
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: VMWare 8 on Ubuntu 11.10: " Unable to build kernel module "-ERROR

    What you want to do is install:

    Code:
    sudo apt-get build-essential
    And then try again.

    Cheers,
    Dedoimedo
    Linux Systems Expert / Systems Programmer, LPIC-1, LPIC-2(WIP), GSEC, CCHD, CCHA
    http://www.dedoimedo.com - A place to learn a lot about a lot!

    Pangolin Review | Ringtail Review | Linux Games | My books

  3. #3
    Join Date
    Jun 2006
    Beans
    Hidden!

    Re: VMWare 8 on Ubuntu 11.10: " Unable to build kernel module "-ERROR

    Quote Originally Posted by Dedoimedo View Post
    What you want to do is install:

    Code:
    sudo apt-get build-essential
    And then try again.

    Cheers,
    Dedoimedo
    That didn't work at first, but then i saw that i think you missed install:

    Code:
    sudo apt-get install build-essential
    And that worked like a charm next time i fired up VMWare. Btw, how did you know this package was missing?

    After start i faced another issue regarding the registration process, but that will be placed here in another thread.

    ANYWAYS, THANK YOU DEDOIMEDO!
    Last edited by mixim; April 8th, 2012 at 09:04 PM.

  4. #4
    Join Date
    Jun 2007
    Location
    Neverland
    Beans
    894
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: VMWare 8 on Ubuntu 11.10: " Unable to build kernel module "-ERROR

    Yup I missed install ... but I'm glad you figured it out.
    Actually the missing stuff is written in your error log.

    Moreover, once you do this a couple a thousand times for various software, kernel modules, kernel, and whatnot, it becomes kind of trivial.

    Cheers,
    Dedoimedo
    Linux Systems Expert / Systems Programmer, LPIC-1, LPIC-2(WIP), GSEC, CCHD, CCHA
    http://www.dedoimedo.com - A place to learn a lot about a lot!

    Pangolin Review | Ringtail Review | Linux Games | My books

  5. #5
    Join Date
    Feb 2005
    Location
    Melbourne, Australia
    Beans
    13,505
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: VMWare 8 on Ubuntu 11.10: " Unable to build kernel module "-ERROR

    Quote Originally Posted by mixim View Post
    That didn't work at first, but then i saw that i think you missed install:

    Code:
    sudo apt-get install build-essential
    .........
    Which is people should just be told to use the GUI tools to install packages, instead of the command line which has these problems.
    Regards, David.
    Please use the Forum search and Wiki search for immediate help
    Please mark your thread as Solved when appropriate
    New to technical forums?: How To Ask Questions The Smart Way

  6. #6
    Join Date
    Jun 2006
    Beans
    Hidden!

    Re: VMWare 8 on Ubuntu 11.10: " Unable to build kernel module "-ERROR

    Quote Originally Posted by dcstar View Post
    Which is people should just be told to use the GUI tools to install packages, instead of the command line which has these problems.
    Well, i both agree and disagree with you. For complete novices and switchers this could be true.

    However in my case for example, i do not even have e GUI-tool installed since im using a clean LXDE install on minimal ubuntu (No Synaptic etc, mentioned before). For not novices it will be more smooth to give the command as it can actually lessen confusion due to misinterpretations or differences due to unsimilar distributions.

  7. #7
    Join Date
    Oct 2012
    Beans
    3

    Re: VMWare 8 on Ubuntu 11.10: " Unable to build kernel module "-ERROR

    anybody can help ? please , i google a few days and nothing ,if you need some more informatio i'm here everyday i will give it i need to configure this *** soon as posibly ..
    Attached Images Attached Images

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •